/* NewIcons.m   - E module  V38.4 (22.4.97) */

OPT MODULE
OPT EXPORT

MODULE 'exec/libraries','workbench/workbench'


OBJECT newiconbase
   lib:lib,
   seglist:LONG,
   precision:LONG,
   flags:LONG
   dpmode:LONG
   fomode:LONG
   reserved:LONG
ENDOBJECT

CONST NIFLG_DO_DITHER   = $00001   -> use dithering when exact pen not available

CONST NIFLG_RESERVED = $00002  -> Do not touch

CONST NIFLG_RTGMODE     = $00004  -> Use Fast when possible instead of Chip

CONST NIFLG_NOBORDER    = $00008  -> Won't display any border around icons,
                             -> and make color 0 truly transparent.
                             -> NOTE: It's a HACK.  Disable if you
                             -> encounter any problem while using it.

CONST NIFLG_TRANSPARENT = $00010  -> Color 0 becomes transparent (needs NoBorder).

CONST NIFLG_TRANSDRAG   = $00020  -> Transparent while dragging

CONST NIFLG_PUBMASK     = $0FFFF  -> Mask out private flags

CONST NIFLG_IS_DISABLED = $10000  -> Commodity is disabled.

CONST NIFLG_LIBRTG      = $20000 -> PRIVATE
CONST NIFLG_LIBDIT      = $40000 -> PRIVATE

CONST NIFLG_OUTLINEFONT =128 -> Draw border around icon text.


CONST NIDPM_NEVER       = 0  -> Do not depth-promote old icons
CONST NIDPM_WBONLY      = 1  -> Only promote old icons opened by Workbench
CONST NIDPM_ALL         = 2  -> Depth promote all old icons opened


/* Values for fomode (V40) */
CONST NIFOM_NONE   =   0       /* Normal */
CONST NIFOM_OUTLINE=   1       /* Draw an outline */
CONST NIFOM_SHADOW =   2       /* Only cast a shadow */

 -> This structure contains an image in a format unusual to the Amiga: chunky
 -> pixel. We use this format because it is faster to remap to a given palette.


OBJECT chunkyimage
   width:INT,
   height:INT,
   numcolors:INT,
   flags:INT,
   palette:PTR TO CHAR
   chunkydata:PTR TO CHAR
ENDOBJECT

CONST CIF_COLOR_0_TRANSP = 1  -> color 0 is transparent, not the one 
                              -> stored in palette 

CONST CIF_DEFAULT        = 2  -> when this bit is set, the image was 
                              -> obtained via the DEFAULTIMAGE ToolType, 
                              -> therefore it is not actually part of the 
                              -> icon and will not be stored in the 
                              -> ToolTypes on a PutNewDiskObject(). 


OBJECT newdiskobject
   stdobject:PTR TO diskobject,
   normalimage: PTR TO chunkyimage,
   selectedimage: PTR TO chunkyimage
   pictogramimage: PTR TO chunkyimage
ENDOBJECT

/* The prefs file format */

OBJECT newiconsprefs
   version:INT
   flags:LONG
   precision:LONG
   dpmode:LONG
   fomode:LONG
ENDOBJECT
